%global rosdistro fuerte
%global stackname common_msgs
%global gitrev 60eee8c
Name:           ros-%{rosdistro}-common-msgs
Version:        1.8.13
Release:        2.git%{gitrev}%{?dist}
Summary:        Common messages for ROS

License:        BSD
URL:            http://www.ros.org/wiki/common_msgs
#wget --content-disposition https://github.com/ros/common_msgs/tarball/1.8.13
Source0:        ros-%{stackname}-%{stackname}-%{version}-0-g%{gitrev}.tar.gz
BuildArch:      noarch
Provides:       ros-%{stackname} = %{version}-%{release}
Provides:       ros-common-msgs = %{version}-%{release}

BuildRequires:  cmake
BuildRequires:  boost-devel
BuildRequires:  gtest-devel
BuildRequires:  python-setuptools-devel
BuildRequires:  ros-%{rosdistro}-catkin-devel
BuildRequires:  ros-%{rosdistro}-genmsg-devel
BuildRequires:  ros-%{rosdistro}-gencpp-devel
BuildRequires:  ros-%{rosdistro}-genlisp-devel
BuildRequires:  ros-%{rosdistro}-genpy-devel
BuildRequires:  ros-%{rosdistro}-std-msgs-devel

%description
%{name} contains common message definitions used by a variety or ROS stacks.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}
Provides: ros-%{stackname}-devel = %{version}-%{release}
Provides: ros-common-msgs-devel = %{version}-%{release}

%description devel
%{summary}.

%prep
%setup -q -n ros-%{stackname}-%{gitrev}

%build
source /opt/ros/%{rosdistro}/setup.sh
mkdir build
pushd build
%cmake \
  -DCMAKE_INSTALL_PREFIX:PATH=/opt/ros/fuerte \
  -DSETUPTOOLS_DEB_LAYOUT=OFF \
  -DCATKIN_BUILD_BINARY_PACKAGE="1" \
  ..
popd

%install
source /opt/ros/%{rosdistro}/setup.sh
rm -rf $RPM_BUILD_ROOT
make -C build install DESTDIR=$RPM_BUILD_ROOT

%files
#%doc
%exclude /opt/ros/%{rosdistro}/share/*/cmake/
/opt/ros/%{rosdistro}/share/*_msgs
/opt/ros/%{rosdistro}/lib/pkgconfig/*.pc
/opt/ros/%{rosdistro}/lib/python?.?/site-packages/*_msgs
/opt/ros/%{rosdistro}/share/common-lisp/ros/*_msgs

%files devel
/opt/ros/%{rosdistro}/include/*_msgs
/opt/ros/%{rosdistro}/share/*/cmake/


%changelog
* Tue Mar 19 2013 Rich Mattes <richmattes@gmail.com> - 1.8.13-2.git60eee8c
- Rebuild for new copr

* Sun Jan 13 2013 Rich Mattes <richmattes@gmail.com> - 1.8.13-1.git60eee8c
- Initial package
